
#include <inttypes.h>

#ifndef F_CPU
	#define F_CPU 8000000UL
#endif

#include <avr/io.h>
#include <util/delay.h>
#include <stdio.h>
#include <string.h>

#include "lcd-text.h"
#include "ds1620.h"

int main()
{
	float floatTemperatur;
	char *strTemperatur;

	DDRD	=	0xff;
	DDRC	=	0x00;

	lcd_init();

	ds1620_init();
	ds1620_start();
	
	_delay_ms(30);
	
	floatTemperatur = ds1620_convert_temp(ds1620_read_temp());

	lcd_position(2, 1, LCD_E1 | LCD_E2);
	lcd_text("Timo ist dumm!", 14, LCD_E1 | LCD_E2);

	sprintf (strTemperatur, "%x",ds1620_read_temp());
	lcd_position(1, 1, LCD_E2);
	lcd_text (strTemperatur, strlen(strTemperatur), LCD_E2);

	sprintf (strTemperatur, "%6.2f",(double)floatTemperatur);
	lcd_position(1, 1, LCD_E1);
	lcd_text (strTemperatur, strlen(strTemperatur), LCD_E1);

	while(1)
	{}

	return 0;
}
